require 'pathname'
require 'fileutils'
require 'font-awesome-sass'

class ::Middleman::Extensions::FontAwesome < ::Middleman::Extension
	def manipulate_resource_list resources
		path = Pathname.new FontAwesome::Sass::fonts_path
		path.find do |f|
			next  unless f.file?
			dest = Pathname.new( 'assets')/'fonts'/f.relative_path_from( path)
			resources << ::Middleman::Sitemap::Resource.new( @app.sitemap, dest.to_s, f.to_s)
		end
		resources
	end
end
